Bug 1032400 - (CVE-2013-6374) CVE-2013-6374 Jenkins: XSS vulnerability in Build failure analyzer plugin (SECURITY-96)
CVE-2013-6374 Jenkins: XSS vulnerability in Build failure analyzer plugin (SE...
Status: CLOSED NOTABUG
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20131121,repor...
: Security
Depends On:
Blocks: 1032405
  Show dependency treegraph
 
Reported: 2013-11-20 00:50 EST by Kurt Seifried
Modified: 2016-03-04 06:23 EST (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-21 19:30:54 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kurt Seifried 2013-11-20 00:50:13 EST
Kohsuke Kawaguchi reports:

XSS vulnerability in Build failure analyzer plugin.

If you enter javascript in the Description field for a failure cause, this is evaluated when a user loads the page for the build.
Worse, when one loads the Failure Cause Management admin page, the javascript is evaluated during the load of that page as well.

This was originally reported by Sharif Nassar
Comment 2 Vincent Danen 2013-11-21 14:03:48 EST
This is now public:

https://wiki.jenkins-ci.org/display/SECURITY/Jenkins+Security+Advisory+2013-11-20
Comment 4 Pavel Polischouk 2013-11-21 19:30:54 EST
Statement:

Not affected. This issue did not affect Jenkins as shipped with various Red Hat products, as they do not include the Jenkins Build Failure Analyzer plugin.

Note You need to log in before you can comment on or make changes to this bug.